 MakePrototypeFile.awk  combs prototype statements from High C list files
                          by suppressing all nonprototype lines.

 Make Prototype File
   High C list file(s)
   [Output file]

BEGIN {
	if (ARGV[1] == ) {
		print No list files specified.
		exit
	}
	if (ARGV[2] == )
		outfile = [Vid] 
	else {
		outfile = ARGV[2]
		ARGV[2] = 
		printf(Writing to s ... , outfile)
		fPrintDone = 1
	}
}

$0  ^MetaWare  \
	$0  ^Copyright  \
	$0  ^Target  \
	$0  ^Scanner  \
	$0  ^Parser  \
	$0  ^=====>  \
	$0  ^[wE] L  \
	$0  ^Levels  \
	$0  ^[ ]*C?[09]  \
	$0  user error  \
	$0  ^End of processing  \
	$0  ^How  \
	$0  ^File  \
	$0  ^\f  \
	$0  ^\|  \
	$0  ^[ ]*$ \
	{ 
		if (FILENAME = filename) {
			filename = FILENAME
			printf(\n* s *\n\n, filename) >outfile
			foutput = 1
		}
		if (index($0, () > 0)
			printf(extern ) >outfile
		gsub(,  )
		print $0 >outfile
	}

END	{ 
	if (fPrintDone) 
		if (foutput)
			print done. 
		else
			print no prototypes found.
}
